#
# maint-dev-cost-cor.R, 22 Oct 12
#
# R code for book "Empirical Software Engineering using R"
# Derek M. Jones, http://shape-of-code.coding-guidelines.com
#
# Data from paper "An Investigation of the Factors Affecting the Lifecycle Costs of COTS-Based Systems"
# by Laurence Michael Dunn


dme=read.csv("/usr1/rbook/examples/economics/maint-invest//dev-maint-effort.csv")


t=cor.test(dme$dev.effort/dme$maint.effort, dme$dev.effort,
            method="spearman")

print(t$estimate)

